%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Autor: Petr ek
% Vytvoeno: 15.5.2012
% Funkce starajc se o hlavn obsluhu hlavnch algoritm a 
% oeteni vech callback prosted GUI
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function CheckBoxesAndClicks(vstpar)

global vid1;
global src1;
global vid2;
global src2;

global ObjectHeight;
global ObjectHeight1;
global ObjectHeight2;
global ObjectHeight_Cam1_pix;
global ObjectHeight_Cam2_pix;
global ObjectWidth_Cam1_pix;
global ObjectWidth_Cam2_pix;
global ObjectTx_Cam1;
global ObjectTy_Cam1;
global ObjectTx_Cam2;
global ObjectTy_Cam2;
global SourceX;
global SourceY;
global SourceTDistance_Cam1_pix;
global SourceTDistance_Cam2_pix;
global SourceTDistance_Cam1;
global SourceTDistance_Cam2;
global RectangleX_Cam1;
global RectangleY_Cam1;
global RectangleX_Cam2;
global RectangleY_Cam2;
global Cam1Cam2Distance;
global FocusDistance;
global ObjectCamDistance;

global PixelSize;

global Resolutions;

Resolutions = ['RGB24_320x240',...
               'RGB24_160x120',...
               'RGB24_176x144',...
               'RGB24_352x288',...
               'RGB24_424x240',...
               'RGB24_640x360',...
               'RGB24_640x480',...
               'RGB24_800x448',...
               'RGB24_800x600',...
               'RGB24_960x544',...
               'RGB24_1280x720',...
               'RGB24_1920x1080'];

global run;
global n;

if run == 0
    vid1 = videoinput('winvideo', 1, 'RGB24_320x240');
    vid2 = videoinput('winvideo', 2, 'RGB24_320x240');
    src1 = getselectedsource(vid1);
    src2 = getselectedsource(vid2);
end

switch(vstpar)
    case('Focus')               %Callback pro CheckBox Focus
        CheckOnOff = get(findobj('Tag','CheckBoxFocus'),'Value');
        if CheckOnOff == 1
            src1.FocusMode = 'auto';
            src2.FocusMode = 'auto';
        else
            src1.FocusMode = 'manual';
            src1.Focus = 0;
            src2.FocusMode = 'manual';
            src2.Focus = 0;
        end
        
    case('Backlight')           %Callback pro CheckBox Backlight
        CheckOnOff = get(findobj('Tag','CheckBoxBacklight'),'Value');
        if CheckOnOff == 1
            src1.BacklightCompensation = 'on';
            src2.BacklightCompensation = 'on';
        else
            src1.BacklightCompensation = 'off';
            src2.BacklightCompensation = 'off';
        end
        
    case('Exposure')            %Callback pro CheckBox Exposure
        CheckOnOff = get(findobj('Tag','CheckBoxExposure'),'Value');
        if CheckOnOff == 1
            src1.ExposureMode = 'auto';
            src2.ExposureMode = 'auto';
        else
            src1.ExposureMode = 'manual';
            src1.Exposure = -7;
            src2.ExposureMode = 'manual';
            src2.Exposure = -7;
        end
        
    case('WhiteBalance')        %Callback pro CheckBox WhiteBalance
        CheckOnOff = get(findobj('Tag','CheckBoxWhiteBalance'),'Value');
        if CheckOnOff == 1
            src1.WhiteBalanceMode = 'auto';
            src2.WhiteBalanceMode = 'auto';
        else
            src1.WhiteBalanceMode = 'manual';
            src1.WhiteBalance = 4500;
            src2.WhiteBalanceMode = 'manual';
            src2.WhiteBalance = 4500;
        end
    case('DefaultClick')        %Callback pro tlacitko Default
        src1.BacklightCompensation = 'off';
        src1.FocusMode = 'manual';
        src1.Focus = 0;
        src1.WhiteBalanceMode = 'manual';
        src1.WhiteBalance = 4500;
        src1.ExposureMode = 'manual';
        src1.Exposure = -7;
        src2.BacklightCompensation = 'off';
        src2.FocusMode = 'manual';
        src2.Focus = 0;
        src2.WhiteBalanceMode = 'manual';
        src2.WhiteBalance = 4500;
        src2.ExposureMode = 'manual';
        src2.Exposure = -7;
        
        set(findobj('Tag','CheckBoxWhiteBalance'),'Value',0);
        set(findobj('Tag','CheckBoxExposure'),'Value',0);
        set(findobj('Tag','CheckBoxBacklight'),'Value',0);
        set(findobj('Tag','CheckBoxFocus'),'Value',0);
        set(findobj('Tag','ResolutionPopUp'),'Value',1);
        
    case('ClickRektifikaceCam1')
        Cam1Input(uint8(zeros(240,320)));
        set(findobj('Tag','Rektifikace'),'UserData',2);
        set(findobj('Tag','RektifikaceCam1'),'visible','off');
        set(findobj('Tag','RektifikaceCam2'),'visible','on');
        src2.FocusMode = 'manual';
        src2.Focus = 30;
        while get(findobj('Tag','Rektifikace'),'UserData') == 2
            Im = getsnapshot(vid2);
            Cam2Input(Im);
            text(160,120,'+','Color','red');
            text(0,120,'+','Color','red');
            text(314,120,'+','Color','red');
            pause(.5);
        end
        
    case('ClickRektifikaceCam2')
        Cam2Input(uint8(zeros(240,320)));
        set(findobj('Tag','Rektifikace'),'UserData',3);
        set(findobj('Tag','RektifikaceCam2'),'visible','off');
        
    case('ClickRektifikace')           %Callback pro tlacitko Rektifikace
        set(findobj('Tag','RektifikaceCam1'),'visible','on');
        set(findobj('Tag','Rektifikace'),'UserData',1);
        src1.FocusMode = 'manual';
        src1.Focus = 30;
        while get(findobj('Tag','Rektifikace'),'UserData') == 1
            Im = getsnapshot(vid1);
            Cam1Input(Im);
            text(160,120,'+','Color','red');
            text(0,120,'+','Color','red');
            text(314,120,'+','Color','red');
            pause(.5);
        end
        
     Cam1Input(uint8(zeros(240,320)));
     Cam2Input(uint8(zeros(240,320)));
        
    case('ClickStart')          %Callback pro tlacitko Start
%Detekce objektu%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        cislo = 0;
        n = uint32(0);
        Cam1Cam2Distance = 0.065;
        set(findobj('Tag','d'),'string',num2str(Cam1Cam2Distance));
        FPS = 1;
        set(findobj('Tag','FPS'),'string',num2str(FPS));
        PixelSize = 0.000006;
        FocusDistance = 0.018;
        set(findobj('Tag','fCam'),'string',num2str(FocusDistance));
        nNotMoved = 100;
        set(findobj('Tag','nNotMoved'),'string',num2str(nNotMoved));
        if run == 0
            set(findobj('Tag','Start'),'UserData',0);
            run = 1;
        end
        
%%%%%Nastaveni kamer%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
        if get(findobj('Tag','Start'),'UserData') == 0
%%%%%%%%%%Nastaveni rozliseni kamer%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%     
            ResPos = get(findobj('Tag','ResolutionPopUp'),'Value');
            if (ResPos >= 1) && (ResPos <= 10)
                Resolution = Resolutions(((ResPos - 1)*12) + ResPos:ResPos*12 +  ResPos);
            end
            if ResPos == 11
                Resolution = Resolutions(((ResPos - 1)*12) + ResPos:ResPos*12 +  ResPos + 2);
            end
            if ResPos == 12
                Resolution = Resolutions(((ResPos - 1)*12) + ResPos + 1:ResPos*12 +  ResPos + 3);
            end
            vid1 = videoinput('winvideo', 1, Resolution);
            vid2 = videoinput('winvideo', 2, Resolution);
            src1 = getselectedsource(vid1);
            src2 = getselectedsource(vid2);
            pom = getsnapshot(vid1);
            xy = size(pom);
            h = xy(1);
            w = xy(2);
            SourceX = w/2;
            SourceY = h/2;
            set(findobj('Tag','Sx1'),'String',int2str(SourceX));
            set(findobj('Tag','Sy1'),'String',int2str(SourceY));
            set(findobj('Tag','Sx2'),'String',int2str(SourceX));
            set(findobj('Tag','Sy2'),'String',int2str(SourceY));
%%%%%%%%%%/Nastaveni rozliseni kamer%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
         
            triggerconfig(vid1, 'manual');
            vid1.FramesPerTrigger = 2;
            vid1.TriggerRepeat = Inf;
            vid1.ReturnedColorspace = 'grayscale';
            triggerconfig(vid2, 'manual');
            vid2.FramesPerTrigger = 2;
            vid2.TriggerRepeat = Inf;
            vid2.ReturnedColorspace = 'grayscale';
            if get(findobj('Tag','CheckBoxBacklight'),'Value') == 0
                src1.BacklightCompensation = 'off';
                src2.BacklightCompensation = 'off';
            end
            if get(findobj('Tag','CheckBoxFocus'),'Value') == 0
                src1.FocusMode = 'manual';
                src1.Focus = 0;
                src2.FocusMode = 'manual';
                src2.Focus = 0;
            end
            if get(findobj('Tag','WhiteBalanceFocus'),'Value') == 0
                src1.WhiteBalanceMode = 'manual';
                src1.WhiteBalance = 2500;
                src2.WhiteBalanceMode = 'manual';
                src2.WhiteBalance = 2500;
            end
            if get(findobj('Tag','ExposureFocus'),'Value') == 0
                src1.ExposureMode = 'manual';
                src1.Exposure = -1;
                src2.ExposureMode = 'manual';
                src2.Exposure = -1;
            end
            set(findobj('Tag','Start'),'UserData',1);
            start(vid1);
            start(vid2);
%%%%%/Nastaveni kamer%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

            n = 0;

%%%%%Nastaveni promennych pro detekci prvni kamerou%%%%%%%%%%%%%%%%%%%%%%%% 
            IOMCam1 = logical(zeros(h,w));
            PreviousBackgroundCam1 = uint8(zeros(h,w));
            CurrentBackgroundCam1 = uint8(zeros(h,w));
            CurStatIndexCam1 = uint8(zeros(h,w));
            PreStatIndexCam1 = uint8(zeros(h,w));
            PreBackgroundIndicatorCam1 = logical(zeros(h,w));
            CurBackgroundIndicatorCam1 = logical(zeros(h,w));
%%%%%/Nastaveni promennych pro detekci prvni kamerou%%%%%%%%%%%%%%%%%%%%%%%             
            
%%%%%Nastaveni promennych pro detekci druhou kamerou%%%%%%%%%%%%%%%%%%%%%%% 
            IOMCam2 = logical(zeros(h,w));
            PreviousBackgroundCam2 = uint8(zeros(h,w));
            CurrentBackgroundCam2 = uint8(zeros(h,w));
            CurStatIndexCam2 = uint8(zeros(h,w));
            PreStatIndexCam2 = uint8(zeros(h,w));
            PreBackgroundIndicatorCam2 = logical(zeros(h,w));
            CurBackgroundIndicatorCam2 = logical(zeros(h,w));
%%%%%/Nastaveni promennych pro detekci druhou kamerou%%%%%%%%%%%%%%%%%%%%%%

            while get(findobj('Tag','Start'),'UserData') == 1
                FPS = str2double(get(findobj('Tag','FPS'),'string'));
                Cam1Cam2Distance = str2double(get(findobj('Tag','d'),'string'));
                FocusDistance = str2double(get(findobj('Tag','fCam'),'string'));
                nNotMoved = str2double(get(findobj('Tag','nNotMoved'),'string'));
                while get(findobj('Tag','Pause'),'UserData') == 1
                    pause(.1);
                end
                
%%%%%Porizeni snimku pro vyhodnoceni%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%                
                if n == 0;
%%%%%%%%%%Porizeni snimku pro vyhodnoceni prvni kamerou na zacatku%%%%%%%%%                  
                    trigger(vid1);
                    trigger(vid2);
                    ImagesCam1 = getdata(vid1);
                    PreviousImageCam1 = ImagesCam1(:,:,:,1);
                    CurrentImageCam1 = ImagesCam1(:,:,:,2);
                    stop(vid1);
                    vid1.FramesPerTrigger = 1;
                    start(vid1);
%%%%%%%%%%/Porizeni snimku pro vyhodnoceni prvni kamerou na zacatku%%%%%%%% 

%%%%%%%%%%Porizeni snimku pro vyhodnoceni druhou kamerou na zacatku%%%%%%%%      
                    ImagesCam2 = getdata(vid2);
                    PreviousImageCam2 = ImagesCam2(:,:,:,1);
                    CurrentImageCam2 = ImagesCam2(:,:,:,2);
                    stop(vid2);
                    vid2.FramesPerTrigger = 1;
                    start(vid2);
%%%%%%%%%%/Porizeni snimku pro vyhodnoceni druhou kamerou na zacatku%%%%%%%
                else
%%%%%%%%%%Porizeni snimku pro vyhodnoceni prvni kamerou v prubehu%%%%%%%%%% 
                    if get(findobj('Tag','Start'),'UserData') == 1
                        trigger(vid1);
                        trigger(vid2);
                    end
                    PreviousImageCam1 = CurrentImageCam1;
                    if get(findobj('Tag','Start'),'UserData') == 1
                        CurrentImageCam1 = getdata(vid1);
                    end
                    PreStatIndexCam1 = CurStatIndexCam1;
                    PreviousBackgroundCam1 = CurrentBackgroundCam1;
                    PreBackgroundIndicatorCam1 = CurBackgroundIndicatorCam1;
%%%%%%%%%%/Porizeni snimku pro vyhodnoceni prvni kamerou v prubehu%%%%%%%%% 

%%%%%%%%%%Porizeni snimku pro vyhodnoceni druhou kamerou v prubehu%%%%%%%%%   
                    PreviousImageCam2 = CurrentImageCam2;
                    if get(findobj('Tag','Start'),'UserData') == 1
                        CurrentImageCam2 = getdata(vid2);
                    end
                    PreStatIndexCam2 = CurStatIndexCam2;
                    PreviousBackgroundCam2 = CurrentBackgroundCam2;
                    PreBackgroundIndicatorCam2 = CurBackgroundIndicatorCam2;
%%%%%%%%%%/Porizeni snimku pro vyhodnoceni druhou kamerou v prubehu%%%%%%%%
                end
%%%%%/Porizeni snimku pro vyhodnoceni%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%Vyhodnoceni snimku a registrace pozadi%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                FrameDiffCam1 = abs(PreviousImageCam1 - CurrentImageCam1);
                FrameDiffMaskCam1 = im2bw(FrameDiffCam1,0.2);
                BackgroundDiffCam1 = abs(PreviousImageCam1 - CurrentBackgroundCam1);
                BackgroundDiffMaskCam1 = im2bw(BackgroundDiffCam1,0.2);
                FrameDiffCam2 = abs(PreviousImageCam2 - CurrentImageCam2);
                FrameDiffMaskCam2 = im2bw(FrameDiffCam2,0.2);
                BackgroundDiffCam2 = abs(CurrentImageCam2 - CurrentBackgroundCam2);
                BackgroundDiffMaskCam2 = im2bw(BackgroundDiffCam2,0.2);
                for i = 1:h
                    for j = 1:w
                        %Prvni kamera
                        if FrameDiffMaskCam1(i,j) == 0
                            CurStatIndexCam1(i,j) = PreStatIndexCam1(i,j) + 1;
                        else
                            CurStatIndexCam1(i,j) = 0;
                        end
                        if CurStatIndexCam1(i,j) == nNotMoved
                            CurrentBackgroundCam1(i,j) = CurrentImageCam1(i,j);
                        else
                            CurrentBackgroundCam1(i,j) = PreviousBackgroundCam1(i,j);
                        end
                        if CurStatIndexCam1(i,j) == nNotMoved
                            CurBackgroundIndicatorCam1(i,j) = 1;
                        else
                            CurBackgroundIndicatorCam1(i,j) = PreBackgroundIndicatorCam1(i,j);
                        end
                        if CurBackgroundIndicatorCam1(i,j) == 1
                            IOMCam1(i,j) = BackgroundDiffMaskCam1(i,j);
                        else
                            IOMCam1(i,j) = FrameDiffMaskCam1(i,j);
                        end
                        
                        %Druha kamera
                        if FrameDiffMaskCam2(i,j) == 0
                            CurStatIndexCam2(i,j) = PreStatIndexCam2(i,j) + 1;
                        else
                            CurStatIndexCam2(i,j) = 0;
                        end
                        if CurStatIndexCam2(i,j) == nNotMoved
                            CurrentBackgroundCam2(i,j) = CurrentImageCam2(i,j);
                        else
                            CurrentBackgroundCam2(i,j) = PreviousBackgroundCam2(i,j);
                        end
                        if CurStatIndexCam2(i,j) == nNotMoved
                            CurBackgroundIndicatorCam2(i,j) = 1;
                        else
                            CurBackgroundIndicatorCam2(i,j) = PreBackgroundIndicatorCam2(i,j);
                        end
                        if CurBackgroundIndicatorCam2(i,j) == 1
                            IOMCam2(i,j) = BackgroundDiffMaskCam2(i,j);
                        else
                            IOMCam2(i,j) = FrameDiffMaskCam2(i,j);
                        end
                    end
                end
                
                
                    %Filtry
                    if get(findobj('Tag','RadioFilterMajority'),'Value') == 1
                        IOMCam1=bwmorph(IOMCam1,'majority');
                        IOMCam2=bwmorph(IOMCam2,'majority');
                    end
                    if get(findobj('Tag','RadioFilterClean'),'Value') == 1
                        IOMCam1=bwmorph(IOMCam1,'clean');
                        IOMCam2=bwmorph(IOMCam2,'clean');
                    end
                    if get(findobj('Tag','RadioFilterBridge'),'Value') == 1
                        IOMCam1=bwmorph(IOMCam1,'bridge');
                        IOMCam2=bwmorph(IOMCam2,'bridge');
                    end
                    if get(findobj('Tag','RadioFilterClose'),'Value') == 1
                        IOMCam1=bwmorph(IOMCam1,'close');
                        IOMCam2=bwmorph(IOMCam2,'close');
                    end
                    if get(findobj('Tag','RadioFilterErode'),'Value') == 1
                        IOMCam1=bwmorph(IOMCam1,'erode');
                        IOMCam2=bwmorph(IOMCam2,'erode');
                    end
                    if get(findobj('Tag','RadioFilterDilate'),'Value') == 1
                        IOMCam1=bwmorph(IOMCam1,'dilate');
                        IOMCam2=bwmorph(IOMCam2,'dilate');
                    end
                    if get(findobj('Tag','RadioFilterFill'),'Value') == 1
                        IOMCam1=bwmorph(IOMCam1,'fill');
                        IOMCam2=bwmorph(IOMCam2,'fill');
                    end
                    
%%%%%%%%%%Vykresleni obdelnik kolem objekt a stred%%%%%%%%%%%%%%%%%%%%%%    
                if rem(n,FPS) == 0
                    Cam1Output(IOMCam1);
                    [a, b, c, d, Found_Cam1] = FoundBoundary(IOMCam1);
                    if Found_Cam1 == 1
                        [RectangleX_Cam1, RectangleY_Cam1, ObjectHeight_Cam1_pix, ...
                         ObjectWidth_Cam1_pix, ObjectTx_Cam1, ...
                         ObjectTy_Cam1, SourceTDistance_Cam1_pix] = RectangleAndCross(a, b, c, d, SourceX, SourceY, 1);   
                    else
                        SetZeros;   
                        text(SourceX,SourceY,'+','Color','red'); 
                    end
                    Cam1Input(CurrentImageCam1);
                    if Found_Cam1 == 1
                        RectangleAndCross(a, b, c, d, SourceX, SourceY, 0);   
                    else
                        text(SourceX,SourceY,'+','Color','red');                      
                    end
                    
                    Cam2Output(IOMCam2);
                    [a, b, c, d, Found_Cam2] = FoundBoundary(IOMCam2);
                    if Found_Cam2 == 1
                        [RectangleX_Cam2, RectangleY_Cam2, ObjectHeight_Cam2_pix, ...
                         ObjectWidth_Cam2_pix, ObjectTx_Cam2, ...
                         ObjectTy_Cam2, SourceTDistance_Cam2_pix] = RectangleAndCross(a, b, c, d, SourceX, SourceY, 2); 
                    else
                        SetZeros; 
                        text(SourceX,SourceY,'+','Color','red');
                    end
                    Cam2Input(CurrentImageCam2);
                    if Found_Cam2 == 1
                        RectangleAndCross(a, b, c, d, SourceX, SourceY, 0); 
                    else
                        text(SourceX,SourceY,'+','Color','red'); 
                    end
                end
%%%%%%%%%%/Vykresleni obdelnik kolem objekt a stred%%%%%%%%%%%%%%%%%%%%%                

%%%%%%%%%%Vypocet vysky objektu%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                    if (Found_Cam1 == 1) && (Found_Cam2 == 1)
                        VlevoCam1 = 0;
                        VpravoCam1 = 0;
                        StredCam1 = 0;
                        VlevoCam2 = 0;
                        VpravoCam2 = 0;
                        StredCam2 = 0;
                        if ObjectTx_Cam1 <= SourceX
                            VlevoCam1 = 1;
                        else
                            if ObjectTx_Cam1 == SourceX
                                StredCam1 = 1;
                            else
                                VpravoCam1 = 1;
                            end
                        end
                        if ObjectTx_Cam2 <= SourceX
                            VlevoCam2 = 1;
                        else
                            if ObjectTx_Cam2 == SourceX
                                StredCam2 = 1;
                            else
                                VpravoCam2 = 1;
                            end
                        end
                        if (VpravoCam1 == 1) && (VpravoCam2 == 1)
                            ObjectHeight = (((ObjectHeight_Cam1_pix + ObjectHeight_Cam2_pix)/2.0) * Cam1Cam2Distance)/((SourceTDistance_Cam2_pix - SourceTDistance_Cam1_pix));
                            ObjectCamDistance = (FocusDistance*Cam1Cam2Distance)/((SourceTDistance_Cam2_pix - SourceTDistance_Cam1_pix));
                            SourceTDistance_Cam1 = (ObjectCamDistance*SourceTDistance_Cam1_pix)/FocusDistance;
                            SourceTDistance_Cam2 = SourceTDistance_Cam1 + Cam1Cam2Distance;
                        end
                        if (StredCam1 == 1) && (VpravoCam2 == 1)
                            ObjectHeight = (((ObjectHeight_Cam1_pix + ObjectHeight_Cam1_pix)/2.0) * Cam1Cam2Distance)/(SourceTDistance_Cam2_pix);
                            ObjectCamDistance = (FocusDistance*Cam1Cam2Distance)/(SourceTDistance_Cam2_pix);
                            SourceTDistance_Cam1 = 0;
                            SourceTDistance_Cam2 = Cam1Cam2Distance;
                        end
                        if (VlevoCam1 == 1) && (VpravoCam2 == 1)
                            ObjectHeight = (((ObjectHeight_Cam1_pix + ObjectHeight_Cam1_pix)/2.0) * Cam1Cam2Distance)/((SourceTDistance_Cam2_pix + SourceTDistance_Cam1_pix));
                            ObjectCamDistance = (FocusDistance*Cam1Cam2Distance)/((SourceTDistance_Cam2_pix + SourceTDistance_Cam1_pix));
                            SourceTDistance_Cam1 = (ObjectCamDistance*SourceTDistance_Cam1_pix)/FocusDistance;
                            SourceTDistance_Cam2 = Cam1Cam2Distance - SourceTDistance_Cam1;
                        end
                        if (VlevoCam1 == 1) && (StredCam2 == 1)
                            ObjectHeight = (((ObjectHeight_Cam1_pix + ObjectHeight_Cam1_pix)/2.0) * Cam1Cam2Distance)/(SourceTDistance_Cam1_pix);
                            ObjectCamDistance = (FocusDistance*Cam1Cam2Distance)/(SourceTDistance_Cam1_pix);
                            SourceTDistance_Cam2 = 0;
                            SourceTDistance_Cam1 = Cam1Cam2Distance;
                        end
                        if (VlevoCam1 == 1) && (VlevoCam2 == 1)
                            ObjectHeight = (((ObjectHeight_Cam1_pix + ObjectHeight_Cam1_pix)/2.0) * Cam1Cam2Distance)/((SourceTDistance_Cam1_pix - SourceTDistance_Cam2_pix));
                            ObjectCamDistance = (FocusDistance*Cam1Cam2Distance)/((SourceTDistance_Cam1_pix - SourceTDistance_Cam2_pix));
                            SourceTDistance_Cam2 = (ObjectCamDistance*SourceTDistance_Cam2_pix)/FocusDistance;
                            SourceTDistance_Cam1 = SourceTDistance_Cam2 + Cam1Cam2Distance;
                        end
	          if (ObjectHeight > 1.00) && (ObjectHeight < 2.50)
                            set(findobj('Tag','h'),'String',num2str(ObjectHeight,3));
	             cislo = cislo + 1;
		[num2str(cislo,1), num2str(ObjectHeight,3)]
	          end
                        set(findobj('Tag','h1'),'String',num2str(ObjectHeight1,3));
                        set(findobj('Tag','h2'),'String',num2str(ObjectHeight2,3));
                        set(findobj('Tag','dO1'),'String',num2str(ObjectCamDistance,3));
                        set(findobj('Tag','dO2'),'String',num2str(ObjectCamDistance,3));
                        set(findobj('Tag','x1'),'String',num2str(SourceTDistance_Cam1,3));
                        set(findobj('Tag','x2'),'String',num2str(SourceTDistance_Cam2,3));
                    end
%%%%%%%%%%/Vypocet vysky objektu%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

                    BackgroundViewCam1(CurrentBackgroundCam1);
                    BackgroundViewCam2(CurrentBackgroundCam2);
                n = n + 1;
                set(findobj('Tag','n1'),'String',int2str(n));
                set(findobj('Tag','n2'),'String',int2str(n));
            end
%%%%%/Vyhodnoceni snimku a registrace pozadi%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        end
%/Detekce objektu%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    case('ClickStop')           %Callback pro tlacitko Stop
        set(findobj('Tag','Start'),'UserData',0);
        delete(vid1);
        delete(vid2);
        clear vid1;
        clear vid2;
        n = 0;
        run = 0;
        set(findobj('Tag','n'),'String',int2str(n));
        
    case('ClickPause')          %Callback pro tlacitko Pause
        p = get(findobj('Tag','Pause'),'UserData');
        set(findobj('Tag','Pause'),'UserData',rem(p + 1,2));
        
    case('All')
        set(findobj('Tag','RadioFilterMajority'),'Value',1);
        set(findobj('Tag','RadioFilterClean'),'Value',1);
        set(findobj('Tag','RadioFilterBridge'),'Value',1);
        set(findobj('Tag','RadioFilterClose'),'Value',1);
        set(findobj('Tag','RadioFilterErode'),'Value',1);
        set(findobj('Tag','RadioFilterDilate'),'Value',1);
        set(findobj('Tag','RadioFilterFill'),'Value',1);
        if get(findobj('Tag','RadioFilterNone'),'Value') == 1
            set(findobj('Tag','RadioFilterNone'),'Value',0);
        end
        
    case('None')
        set(findobj('Tag','RadioFilterMajority'),'Value',0);
        set(findobj('Tag','RadioFilterClean'),'Value',0);
        set(findobj('Tag','RadioFilterBridge'),'Value',0);
        set(findobj('Tag','RadioFilterClose'),'Value',0);
        set(findobj('Tag','RadioFilterErode'),'Value',0);
        set(findobj('Tag','RadioFilterDilate'),'Value',0);
        set(findobj('Tag','RadioFilterFill'),'Value',0);
        if get(findobj('Tag','RadioFilterAll'),'Value') == 1
            set(findobj('Tag','RadioFilterAll'),'Value',0);
        end
    
    case('Majority')
        if get(findobj('Tag','RadioFilterAll'),'Value') == 1
            set(findobj('Tag','RadioFilterAll'),'Value',0);
        end
        if get(findobj('Tag','RadioFilterNone'),'Value') == 1
            set(findobj('Tag','RadioFilterNone'),'Value',0);
        end
        
    case('Clean')
        if get(findobj('Tag','RadioFilterAll'),'Value') == 1
            set(findobj('Tag','RadioFilterAll'),'Value',0);
        end
        if get(findobj('Tag','RadioFilterNone'),'Value') == 1
            set(findobj('Tag','RadioFilterNone'),'Value',0);
        end
            
    case('Bridge')
        if get(findobj('Tag','RadioFilterAll'),'Value') == 1
            set(findobj('Tag','RadioFilterAll'),'Value',0);
        end
        if get(findobj('Tag','RadioFilterNone'),'Value') == 1
            set(findobj('Tag','RadioFilterNone'),'Value',0);
        end
            
    case('Close')
        if get(findobj('Tag','RadioFilterAll'),'Value') == 1
            set(findobj('Tag','RadioFilterAll'),'Value',0);
        end
        if get(findobj('Tag','RadioFilterNone'),'Value') == 1
            set(findobj('Tag','RadioFilterNone'),'Value',0);
        end
            
    case('Erode')
        if get(findobj('Tag','RadioFilterAll'),'Value') == 1
            set(findobj('Tag','RadioFilterAll'),'Value',0);
        end
        if get(findobj('Tag','RadioFilterNone'),'Value') == 1
            set(findobj('Tag','RadioFilterNone'),'Value',0);
        end
            
    case('Dilate')
        if get(findobj('Tag','RadioFilterAll'),'Value') == 1
            set(findobj('Tag','RadioFilterAll'),'Value',0);
        end
        if get(findobj('Tag','RadioFilterNone'),'Value') == 1
            set(findobj('Tag','RadioFilterNone'),'Value',0);
        end
            
    case('Fill')
        if get(findobj('Tag','RadioFilterAll'),'Value') == 1
            set(findobj('Tag','RadioFilterAll'),'Value',0);
        end
        if get(findobj('Tag','RadioFilterNone'),'Value') == 1
            set(findobj('Tag','RadioFilterNone'),'Value',0);
        end
end