%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Autor: Petr ek
% Vytvoeno: 15.5.2012
% Skript pro vykreslen GUI
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Nastaveni hlavniho okna%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set(0,'Units','Normalized');
MainResolution = get(0,'ScreenSize');   %Zjisteni rozliseni obrazovky
MainWindow = figure('Tag','GUI',...
                    'Name', 'Mereni velikosti osob pomoci kameroveho systemu v3.00',...
                    'MenuBar','none',...
                    'NumberTitle','off',...
                    'Units','Normalized',...
                    'Color','black',...
                    'Position',[0.0051 0.0612 (MainResolution(3)-0.0102) (MainResolution(4)-0.1003)]);
%/Nastaveni hlavniho okna%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
               


%Deklarace konstant velikosti prvku%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
HorizontalSpace = 0.01;             %Hodnota horizontalni mezery mezi prvky
VerticalSpace = 0.002;              %Hodnota vertikalni mezery mezi prvky
ButtonHeight = 0.025;               %Hodnota vysky tlacitka
ButtonWidth = 0.05;                 %Hodnota sirky tlacitka
ColumnHeight = 0.025;               %Hodnota vysky kolonky pro text
ColumnWidth = 0.07;                 %Hodnota sirky kolonky pro text
VariableHeight = 0.02;              %Hodnota vysky kolonky pro promenne
VariableWidth = 0.03;               %Hodnota vysky kolonky pro promenne
CheckBoxWidth = 4/3*0.07;           %Hodnota sirky kolonky textu pro CheckBox  
RadioHeight = 0.02;                 %Hodnota vysky kolonek typu Radio
RadioWidth = 0.012;                 %Hodnota sirky kolonek Radio
FontSize = 8;                       %Velikost textu jednotlivych kolonek
%/Deklarace konstant velikosti prvku%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%Buttons%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
RektifikaceText = uicontrol('Style','Text',...       %napis pro tlacitka uloz pozadi
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Rektifikace',...
    'Units','Normalized',...
    'Position',[0.01 (MainResolution(4)-(2*ColumnHeight)) ColumnWidth-0.02 ColumnHeight],...
    'Tag','RektifikaceText',...
    'FontSize',FontSize);

RektifikaceTextPos = get(RektifikaceText, 'Position');

Rektifikace = uicontrol('String','Stisk',...         %tlacitko uloz pozadi
    'CallBack','CheckBoxesAndClicks ClickRektifikace',...
    'Tag','Rektifikace',...
    'Units','Normalized',...
    'Position',[(RektifikaceTextPos(1) + RektifikaceTextPos(3) + HorizontalSpace) RektifikaceTextPos(2) ButtonWidth ButtonHeight]);

RektifikacePos = get(Rektifikace, 'Position');

StartText = uicontrol('Style','Text',...                %popis pro tlacitka start
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Start',...
    'Units','Normalized',...
    'Position',[0.01 RektifikaceTextPos(2)-ColumnHeight ColumnWidth-0.02 ColumnHeight],...
    'Tag','StartText',...
    'FontSize',FontSize);

StartTextPos = get(StartText, 'Position');

Start = uicontrol('String','Start',...                  %tlacitko start
    'CallBack','CheckBoxesAndClicks ClickStart',...
    'Units','Normalized',...
    'Tag','Start',...
    'Position',[(StartTextPos(1) + StartTextPos(3) + HorizontalSpace) StartTextPos(2) ButtonWidth ButtonHeight]);

StopText = uicontrol('Style','Text',...                 %napis pro tlacitko stop
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Stop',...
    'Units','Normalized',...
    'Position',[0.01 StartTextPos(2)-ColumnHeight ColumnWidth-0.02 ColumnHeight],...
    'Tag','StartText',...
    'FontSize',FontSize);

StopTextPos = get(StopText, 'Position');

Stop = uicontrol('String','Stop',...                    %tlacitko stop
    'CallBack','CheckBoxesAndClicks ClickStop',...
    'Units','Normalized',...
    'Tag','Stop',...
    'Position',[(StopTextPos(1) + StopTextPos(3) + HorizontalSpace) StopTextPos(2) ButtonWidth ButtonHeight]);

PauseText = uicontrol('Style','Text',...                %napis  pro tlacitko pause
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Pause',...
    'Units','Normalized',...
    'Position',[0.01 StopTextPos(2)-ColumnHeight ColumnWidth-0.02 ColumnHeight],...
    'Tag','PauseText',...
    'FontSize',FontSize);

PauseTextPos = get(PauseText, 'Position');

Pause = uicontrol('String','Pause',...                  %tlacitko pause
    'CallBack','CheckBoxesAndClicks ClickPause',...
    'Units','Normalized',...
    'Tag','Pause',...
    'UserData',0,...
    'Position',[(PauseTextPos(1) + PauseTextPos(3) + HorizontalSpace) PauseTextPos(2) ButtonWidth ButtonHeight]);
%/Buttons%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%Variables and Constants%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Camera1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Camera 1',...
    'Units','Normalized',...
    'Position',[0.01 PauseTextPos(2)-2*VariableHeight ColumnWidth VariableHeight],...
    'Tag','Camera1Text');

Camera1TextPos = get(findobj('Tag','Camera1Text'),'Position');

Camera2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Camera 2',...
    'Units','Normalized',...
    'Position',[(Camera1TextPos(1)+Camera1TextPos(3)-0.01) Camera1TextPos(2) (ColumnWidth*0.6) VariableHeight],...
    'Tag','Camera2Text');

n1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','n1',...
    'Units','Normalized',...
    'Position',[0.01 Camera1TextPos(2)-VariableHeight-2*VerticalSpace ColumnWidth/3 VariableHeight],...
    'Tag','n1Text');

n1TextPos = get(n1Text, 'Position');

n1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','n1',...
    'String',int2str(0),...
    'Position',[(n1TextPos(1) + n1TextPos(3)) n1TextPos(2) VariableWidth VariableHeight]);

n1Pos = get(n1, 'Position');

n2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','n2',...
    'Units','Normalized',...
    'Position',[n1Pos(1)+VariableWidth+0.01 n1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','n2Text');

n2TextPos = get(n2Text, 'Position');

n2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','n2',...
    'String',int2str(0),...
    'Position',[(n2TextPos(1) + n2TextPos(3)) n2TextPos(2) VariableWidth VariableHeight]);

h1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','h1',...
    'Units','Normalized',...
    'Position',[0.01 n1TextPos(2)-VariableHeight ColumnWidth/3 VariableHeight],...
    'Tag','h1Text');

h1TextPos = get(h1Text, 'Position');

h1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','h1',...
    'String',int2str(0),...
    'Position',[(h1TextPos(1) + h1TextPos(3)) h1TextPos(2) VariableWidth VariableHeight]);

h1Pos = get(h1, 'Position');

h2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','h2',...
    'Units','Normalized',...
    'Position',[h1Pos(1)+h1Pos(3)+0.01 h1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','h2Text');

h2TextPos = get(h2Text, 'Position');

h2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','h2',...
    'String',int2str(0),...
    'Position',[(h2TextPos(1) + h2TextPos(3)) h2TextPos(2) VariableWidth VariableHeight]);

hp1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','hp1',...
    'Units','Normalized',...
    'Position',[0.01 h1TextPos(2)-VariableHeight ColumnWidth/3 VariableHeight],...
    'Tag','hp1Text');

hp1TextPos = get(hp1Text, 'Position');

hp1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','hp1',...
    'String',int2str(0),...
    'Position',[(hp1TextPos(1) + hp1TextPos(3)) hp1TextPos(2) VariableWidth VariableHeight]);

hp1Pos = get(hp1, 'Position');

hp2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','hp2',...
    'Units','Normalized',...
    'Position',[hp1Pos(1)+hp1Pos(3)+0.01 hp1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','h2Text');

hp2TextPos = get(hp2Text, 'Position');

hp2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','hp2',...
    'String',int2str(0),...
    'Position',[(hp2TextPos(1) + hp2TextPos(3)) hp2TextPos(2) VariableWidth VariableHeight]);

wp1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','wp1',...
    'Units','Normalized',...
    'Position',[0.01 hp1TextPos(2)-VariableHeight ColumnWidth/3 VariableHeight],...
    'Tag','wp1Text');

wp1TextPos = get(wp1Text, 'Position');

wp1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','wp1',...
    'String',int2str(0),...
    'Position',[(wp1TextPos(1) + wp1TextPos(3)) wp1TextPos(2) VariableWidth VariableHeight]);

wp1Pos = get(wp1, 'Position');

wp2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','wp2',...
    'Units','Normalized',...
    'Position',[wp1Pos(1)+wp1Pos(3)+0.01 wp1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','wp2Text');

wp2TextPos = get(wp2Text, 'Position');

wp2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','wp2',...
    'String',int2str(0),...
    'Position',[(wp2TextPos(1) + wp2TextPos(3)) wp2TextPos(2) VariableWidth VariableHeight]);

Tx1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Tx1',...
    'Units','Normalized',...
    'Position',[0.01 wp1TextPos(2)-VariableHeight ColumnWidth/3 VariableHeight],...
    'Tag','Tx1Text');

Tx1TextPos = get(Tx1Text, 'Position');

Tx1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','Tx1',...
    'String',int2str(0),...
    'Position',[(Tx1TextPos(1) + Tx1TextPos(3)) Tx1TextPos(2) VariableWidth VariableHeight]);

Tx1Pos = get(Tx1, 'Position');

Tx2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Tx2',...
    'Units','Normalized',...
    'Position',[Tx1Pos(1)+Tx1Pos(3)+0.01 Tx1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','Tx2Text');

Tx2TextPos = get(Tx2Text, 'Position');

Tx2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','Tx2',...
    'String',int2str(0),...
    'Position',[(Tx2TextPos(1) + Tx2TextPos(3)) Tx2TextPos(2) VariableWidth VariableHeight]);

Ty1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Ty1',...
    'Units','Normalized',...
    'Position',[0.01 Tx1TextPos(2)-VariableHeight ColumnWidth/3 VariableHeight],...
    'Tag','Ty1Text');

Ty1TextPos = get(Ty1Text, 'Position');

Ty1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','Ty1',...
    'String',int2str(0),...
    'Position',[(Ty1TextPos(1) + Ty1TextPos(3)) Ty1TextPos(2) VariableWidth VariableHeight]);

Ty1Pos = get(Ty1, 'Position');

Ty2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Ty2',...
    'Units','Normalized',...
    'Position',[Ty1Pos(1)+Ty1Pos(3)+0.01 Ty1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','Ty2Text');

Ty2TextPos = get(Ty2Text, 'Position');

Ty2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','Ty2',...
    'String',int2str(0),...
    'Position',[(Ty2TextPos(1) + Ty2TextPos(3)) Ty2TextPos(2) VariableWidth VariableHeight]);

Rx1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Rx1',...
    'Units','Normalized',...
    'Position',[0.01 Ty1TextPos(2)-VariableHeight ColumnWidth/3 VariableHeight],...
    'Tag','Rx1Text');

Rx1TextPos = get(Rx1Text, 'Position');

Rx1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','Rx1',...
    'String',int2str(0),...
    'Position',[(Rx1TextPos(1) + Rx1TextPos(3)) Rx1TextPos(2) VariableWidth VariableHeight]);

Rx1Pos = get(Rx1, 'Position');

Rx2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Rx2',...
    'Units','Normalized',...
    'Position',[Rx1Pos(1)+Rx1Pos(3)+0.01 Rx1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','Rx2Text');

Rx2TextPos = get(Rx2Text, 'Position');

Rx2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','Rx2',...
    'String',int2str(0),...
    'Position',[(Rx2TextPos(1) + Rx2TextPos(3)) Rx2TextPos(2) VariableWidth VariableHeight]);

Ry1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Ry1',...
    'Units','Normalized',...
    'Position',[0.01 Rx1TextPos(2)-VariableHeight ColumnWidth/3 VariableHeight],...
    'Tag','Ry1Text');

Ry1TextPos = get(Ry1Text, 'Position');

Ry1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','Ry1',...
    'String',int2str(0),...
    'Position',[(Ry1TextPos(1) + Ry1TextPos(3)) Ry1TextPos(2) VariableWidth VariableHeight]);

Ry1Pos = get(Ry1, 'Position');

Ry2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Ry2',...
    'Units','Normalized',...
    'Position',[Ry1Pos(1)+Ry1Pos(3)+0.01 Ry1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','Ry2Text');

Ry2TextPos = get(Ry2Text, 'Position');

Ry2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','Ry2',...
    'String',int2str(0),...
    'Position',[(Ry2TextPos(1) + Ry2TextPos(3)) Ry2TextPos(2) VariableWidth VariableHeight]);

Sx1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Sx1',...
    'Units','Normalized',...
    'Position',[0.01 Ry1TextPos(2)-VariableHeight ColumnWidth/3 VariableHeight],...
    'Tag','Sx1Text');

Sx1TextPos = get(Sx1Text, 'Position');

Sx1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','Sx1',...
    'String',int2str(0),...
    'Position',[(Sx1TextPos(1) + Sx1TextPos(3)) Sx1TextPos(2) VariableWidth VariableHeight]);

Sx1Pos = get(Sx1, 'Position');

Sx2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Sx2',...
    'Units','Normalized',...
    'Position',[Sx1Pos(1)+Sx1Pos(3)+0.01 Sx1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','Sx2Text');

Sx2TextPos = get(Sx2Text, 'Position');

Sx2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','Sx2',...
    'String',int2str(0),...
    'Position',[(Sx2TextPos(1) + Sx2TextPos(3)) Sx2TextPos(2) VariableWidth VariableHeight]);

Sy1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Sy1',...
    'Units','Normalized',...
    'Position',[0.01 Sx1TextPos(2)-VariableHeight ColumnWidth/3 VariableHeight],...
    'Tag','Sy1Text');

Sy1TextPos = get(Sy1Text, 'Position');

Sy1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','Sy1',...
    'String',int2str(0),...
    'Position',[(Sy1TextPos(1) + Sy1TextPos(3)) Sy1TextPos(2) VariableWidth VariableHeight]);

Sy1Pos = get(Sy1, 'Position');

Sy2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Sy2',...
    'Units','Normalized',...
    'Position',[Sy1Pos(1)+Sy1Pos(3)+0.01 Sy1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','Sy2Text');

Sy2TextPos = get(Sy2Text, 'Position');

Sy2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','Sy2',...
    'String',int2str(0),...
    'Position',[(Sy2TextPos(1) + Sy2TextPos(3)) Sy2TextPos(2) VariableWidth VariableHeight]);

x1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','x1',...
    'Units','Normalized',...
    'Position',[0.01 Sy1TextPos(2)-VariableHeight ColumnWidth/3 VariableHeight],...
    'Tag','x1Text');

x1TextPos = get(x1Text, 'Position');

x1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','x1',...
    'String',int2str(0),...
    'Position',[(x1TextPos(1) + x1TextPos(3)) x1TextPos(2) VariableWidth VariableHeight]);

x1Pos = get(x1, 'Position');

x2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','x2',...
    'Units','Normalized',...
    'Position',[x1Pos(1)+x1Pos(3)+0.01 x1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','x2Text');

x2TextPos = get(x2Text, 'Position');

x2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','x2',...
    'String',int2str(0),...
    'Position',[(x2TextPos(1) + x2TextPos(3)) x2TextPos(2) VariableWidth VariableHeight]);

xp1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','xp1',...
    'Units','Normalized',...
    'Position',[0.01 x1TextPos(2)-VariableHeight ColumnWidth/3 VariableHeight],...
    'Tag','xp1Text');

xp1TextPos = get(xp1Text, 'Position');

xp1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','xp1',...
    'String',int2str(0),...
    'Position',[(xp1TextPos(1) + xp1TextPos(3)) xp1TextPos(2) VariableWidth VariableHeight]);

xp1Pos = get(xp1, 'Position');

xp2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','xp2',...
    'Units','Normalized',...
    'Position',[xp1Pos(1)+xp1Pos(3)+0.01 xp1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','xp2Text');

xp2TextPos = get(xp2Text, 'Position');

xp2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','xp2',...
    'String',int2str(0),...
    'Position',[(xp2TextPos(1) + xp2TextPos(3)) xp2TextPos(2) VariableWidth VariableHeight]);

dO1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','dO1',...
    'Units','Normalized',...
    'Position',[0.01 xp1TextPos(2)-VariableHeight ColumnWidth/3 VariableHeight],...
    'Tag','dO1Text');

dO1TextPos = get(dO1Text, 'Position');

dO1 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','dO1',...
    'String',int2str(0),...
    'Position',[(dO1TextPos(1) + dO1TextPos(3)) dO1TextPos(2) VariableWidth VariableHeight]);

dO1Pos = get(dO1, 'Position');

dO2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','dO2',...
    'Units','Normalized',...
    'Position',[dO1Pos(1)+dO1Pos(3)+0.01 dO1Pos(2) ColumnWidth/3 VariableHeight],...
    'Tag','dO2Text');

dO2TextPos = get(dO2Text, 'Position');

dO2 = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','dO2',...
    'String',int2str(0),...
    'Position',[(dO2TextPos(1) + dO2TextPos(3)) dO2TextPos(2) VariableWidth VariableHeight]);

ConstText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Constants',...
    'Units','Normalized',...
    'Position',[0.01 dO1TextPos(2)-2*VariableHeight ColumnWidth/1.8 VariableHeight],...
    'Tag','f1ConstText');

ConstTextPos = get(ConstText, 'Position');

fCamText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','fCam [m]',...
    'Units','Normalized',...
    'Position',[0.01 ConstTextPos(2)-VariableHeight-2*VerticalSpace ColumnWidth/2 VariableHeight],...
    'Tag','fCamText');

fCamTextPos = get(fCamText, 'Position');

fCam = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','fCam',...
    'String',int2str(0),...
    'Position',[(fCamTextPos(1) + fCamTextPos(3)) fCamTextPos(2) VariableWidth*2 VariableHeight]);

fCamPos = get(fCam, 'Position');

dText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','d [m]',...
    'Units','Normalized',...
    'Position',[fCamTextPos(1) fCamTextPos(2)-VariableHeight-VerticalSpace ColumnWidth/2 VariableHeight],...
    'Tag','dText');

dTextPos = get(dText, 'Position');

d = uicontrol('Style','Edit',...
    'Units','Normalized',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'Tag','d',...
    'String',int2str(0),...
    'Position',[(dTextPos(1) + dTextPos(3)) dTextPos(2) VariableWidth*2 VariableHeight]);

ResultText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Result',...
    'Units','Normalized',...
    'Position',[dTextPos(1) dTextPos(2)-2*VariableHeight ColumnWidth/2 VariableHeight],...
    'Tag','ResultText');

ResultTextPos = get(ResultText, 'Position');

hText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'HorizontalAlignment','Left',...
    'String','Vyska postavy',...
    'Units','Normalized',...
    'Position',[ResultTextPos(1) ResultTextPos(2)-VariableHeight ColumnWidth VariableHeight],...
    'Tag','hText');

hTextPos = get(hText, 'Position');

h = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','h',...
    'String',int2str(0),...
    'Position',[(hTextPos(1) - 0.01 + hTextPos(3)) hTextPos(2) VariableWidth VariableHeight]);
%/Variables and Constants%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%Camera windows%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Cam1InputText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Camera No. 1 - Input',...
    'Units','Normalized',...
    'Position',[(RektifikacePos(1) + RektifikacePos(3) + HorizontalSpace) RektifikacePos(2) 320/1353 ColumnHeight],...
    'Tag','Cam1InputText');

Cam1InputTextPos = get(Cam1InputText,'Position');

RektifikaceCam1 = uicontrol('String','Cam1 OK',...         %tlacitko potvrzeni rektifikace prvni kamery
    'CallBack','CheckBoxesAndClicks ClickRektifikaceCam1',...
    'Tag','RektifikaceCam1',...
    'Units','Normalized',...
    'Position',[Cam1InputTextPos(1) Cam1InputTextPos(2) ButtonWidth ButtonHeight],...
    'visible','off');

Cam2InputText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Camera No. 2 - Input',...
    'Units','Normalized',...
    'Position',[(Cam1InputTextPos(1) + Cam1InputTextPos(3) + HorizontalSpace) Cam1InputTextPos(2) Cam1InputTextPos(3) ColumnHeight],...
    'Tag','Cam2InputText');

Cam2InputTextPos = get(Cam2InputText,'Position');

RektifikaceCam2 = uicontrol('String','Cam2 OK',...         %tlacitko potvrzeni rektifikace prvni kamery
    'CallBack','CheckBoxesAndClicks ClickRektifikaceCam2',...
    'Tag','RektifikaceCam2',...
    'Units','Normalized',...
    'Position',[Cam2InputTextPos(1) Cam2InputTextPos(2) ButtonWidth ButtonHeight],...
    'visible','off');

Cam1OutputText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Camera No. 1 - Output',...
    'Units','Normalized',...
    'Position',[Cam1InputTextPos(1) (MainResolution(4) - 4*ColumnHeight - 240/690) Cam1InputTextPos(3) ColumnHeight],...
    'Tag','Cam1OutputText');

BackgroundViewCam1Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Background View - Camera No. 1',...
    'Units','Normalized',...
    'Position',[(Cam2InputTextPos(1) + Cam2InputTextPos(3) + HorizontalSpace) (MainResolution(4) - (2*ColumnHeight)) Cam1InputTextPos(3) ColumnHeight],...
    'Tag','BackgroundViewCam1Text');

BackgroundViewCam1TextPos = get(BackgroundViewCam1Text,'Position');

Cam2OutputText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Camera No. 2 - Output',...
    'Units','Normalized',...
    'Position',[Cam2InputTextPos(1) (MainResolution(4) - 4*ColumnHeight - 240/690) Cam1InputTextPos(3) ColumnHeight],...
    'Tag','Cam2OutputText');

Cam2OutputTextPos = get(Cam2OutputText,'Position');

BackgroundViewCam2Text = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Background View - Camera No. 2',...
    'Units','Normalized',...
    'Position',[BackgroundViewCam1TextPos(1) Cam2OutputTextPos(2) Cam1InputTextPos(3) ColumnHeight],...
    'Tag','BackgroundViewCam2Text');
%/Camera windows%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%Camera setting option%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
CameraSettingsText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Camera Settings',...
    'Units','Normalized',...
    'Position',[(BackgroundViewCam1TextPos(1) + BackgroundViewCam1TextPos(3) + HorizontalSpace) Cam1InputTextPos(2) CheckBoxWidth ColumnHeight],...
    'Tag','CameraSettingsText');

CameraSettingsTextPos = get(CameraSettingsText,'Position');

CheckBoxFocus = uicontrol('Style','Check',...
    'CallBack','CheckBoxesAndClicks Focus',...
    'String','Focus On/Off',...
    'Units','Normalized',...
    'Position',[(BackgroundViewCam1TextPos(1) + BackgroundViewCam1TextPos(3) + HorizontalSpace) CameraSettingsTextPos(2)-ColumnHeight CheckBoxWidth ColumnHeight],...
    'Tag','CheckBoxFocus');

CheckBoxFocusPos = get(CheckBoxFocus,'Position');

CheckBoxBacklight = uicontrol('Style','Check',...
    'CallBack','CheckBoxesAndClicks Backlight',...
    'String','Backlight On/Off',...
    'Units','Normalized',...
    'Position',[(BackgroundViewCam1TextPos(1) + BackgroundViewCam1TextPos(3) + HorizontalSpace) CheckBoxFocusPos(2)-ColumnHeight CheckBoxWidth ColumnHeight],...
    'Tag','CheckBoxBacklight');

CheckBoxBacklightPos = get(CheckBoxBacklight,'Position');

CheckBoxExposure = uicontrol('Style','Check',...
    'CallBack','CheckBoxesAndClicks Exposure',...
    'String','Exposure On/Off',...
    'Units','Normalized',...
    'Position',[(BackgroundViewCam1TextPos(1) + BackgroundViewCam1TextPos(3) + HorizontalSpace) CheckBoxBacklightPos(2)-ColumnHeight CheckBoxWidth ColumnHeight],...
    'Tag','CheckBoxExposure');

CheckBoxExposurePos = get(CheckBoxExposure,'Position');

CheckBoxWhiteBalance = uicontrol('Style','Check',...
    'CallBack','CheckBoxesAndClicks WhiteBalance',...
    'String','White Balance On/Off',...
    'Units','Normalized',...
    'Position',[(BackgroundViewCam1TextPos(1) + BackgroundViewCam1TextPos(3) + HorizontalSpace) CheckBoxExposurePos(2)-ColumnHeight CheckBoxWidth ColumnHeight],...
    'Tag','CheckBoxWhiteBalance');

CheckBoxWhiteBalancePos = get(CheckBoxWhiteBalance,'Position');

ResolutionPopUpText = uicontrol('Style','Text',...
    'String','Resolution',...
    'Units','Normalized',...
    'Position',[(BackgroundViewCam1TextPos(1) + BackgroundViewCam1TextPos(3) + HorizontalSpace) CheckBoxWhiteBalancePos(2)-ColumnHeight CheckBoxWidth ColumnHeight],...
    'Tag','ResolutionPopUpText');

ResolutionPopUpTextPos = get(ResolutionPopUpText,'Position');

ResolutionPopUp = uicontrol('Style','Popup',...
    'CallBack','CheckBoxesAndClicks ResPopup',...
    'String','320x240 (Default)|160x120|176x144|352x288|424x240|640x360|640x480|800x448|800x600|960x544|1280x720|1920x1080',...
    'Units','Normalized',...
    'Position',[(BackgroundViewCam1TextPos(1) + BackgroundViewCam1TextPos(3) + HorizontalSpace) ResolutionPopUpTextPos(2)-ColumnHeight-0.01 CheckBoxWidth ColumnHeight + 0.01],...
    'Tag','ResolutionPopUp');

ResolutionPopUpPos = get(ResolutionPopUp,'Position');

DefaultClick = uicontrol('CallBack','CheckBoxesAndClicks DefaultClick',...
    'String','Default',...
    'Units','Normalized',...
    'Position',[(BackgroundViewCam1TextPos(1) + BackgroundViewCam1TextPos(3) + HorizontalSpace) ResolutionPopUpPos(2)-ColumnHeight+0.002 CheckBoxWidth ColumnHeight],...
    'Tag','DefaultClick');

DefaultClickPos = get(DefaultClick,'Position');
%/Camera setting option%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%Filter option%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
FilterOptionText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','Filter Option',...
    'Units','Normalized',...
    'Position',[DefaultClickPos(1) DefaultClickPos(2)-2*ColumnHeight CheckBoxWidth ColumnHeight],...
    'Tag','FilterOption');

FilterOptionTextPos = get(FilterOptionText,'Position');

RadioFilterMajority = uicontrol('Style','Radio',...
    'Units','Normalized',...
    'CallBack','CheckBoxesAndClicks Majority',...
    'Position',[FilterOptionTextPos(1) FilterOptionTextPos(2)-RadioHeight RadioWidth RadioHeight],...
    'Tag','RadioFilterMajority');

RadioFilterMajorityPos = get(RadioFilterMajority, 'Position');

RadioFilterMajorityText = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','RadioFilterMajorityText',...
    'String','Majority on/off',...
    'Position',[RadioFilterMajorityPos(1)+RadioWidth RadioFilterMajorityPos(2) CheckBoxWidth-RadioWidth RadioHeight],...
    'HorizontalAlignment','left');

RadioFilterClean = uicontrol('Style','Radio',...
    'Units','Normalized',...
    'CallBack','CheckBoxesAndClicks Clean',...
    'Position',[RadioFilterMajorityPos(1) RadioFilterMajorityPos(2)-RadioHeight RadioWidth RadioHeight],...
    'Tag','RadioFilterClean');

RadioFilterCleanPos = get(RadioFilterClean, 'Position');

RadioFilterCleanText = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','RadioFilterCleanText',...
    'String','Clean on/off',...
    'Position',[RadioFilterCleanPos(1)+RadioWidth RadioFilterCleanPos(2) CheckBoxWidth-RadioWidth RadioHeight],...
    'HorizontalAlignment','left');

RadioFilterBridge = uicontrol('Style','Radio',...
    'Units','Normalized',...
    'CallBack','CheckBoxesAndClicks Bridge',...
    'Position',[RadioFilterCleanPos(1) RadioFilterCleanPos(2)-RadioHeight RadioWidth RadioHeight],...
    'Tag','RadioFilterBridge');

RadioFilterBridgePos = get(RadioFilterBridge, 'Position');

RadioFilterBridgeText = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','RadioFilterBridgeText',...
    'String','Bridge on/off',...
    'Position',[RadioFilterBridgePos(1)+RadioWidth RadioFilterBridgePos(2) CheckBoxWidth-RadioWidth RadioHeight],...
    'HorizontalAlignment','left');

RadioFilterClose = uicontrol('Style','Radio',...
    'Units','Normalized',...
    'CallBack','CheckBoxesAndClicks Close',...
    'Position',[RadioFilterBridgePos(1) RadioFilterBridgePos(2)-RadioHeight RadioWidth RadioHeight],...
    'Tag','RadioFilterClose');

RadioFilterClosePos = get(RadioFilterClose, 'Position');

RadioFilterCloseText = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','RadioFilterCloseText',...
    'String','Close on/off',...
    'Position',[RadioFilterClosePos(1)+RadioWidth RadioFilterClosePos(2) CheckBoxWidth-RadioWidth RadioHeight],...
    'HorizontalAlignment','left');

RadioFilterErode = uicontrol('Style','Radio',...
    'Units','Normalized',...
    'CallBack','CheckBoxesAndClicks Erode',...
    'Position',[RadioFilterClosePos(1) RadioFilterClosePos(2)-RadioHeight RadioWidth RadioHeight],...
    'Tag','RadioFilterErode');

RadioFilterErodePos = get(RadioFilterErode, 'Position');

RadioFilterErodeText = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','RadioFilterErodeText',...
    'String','Erode on/off',...
    'Position',[RadioFilterErodePos(1)+RadioWidth RadioFilterErodePos(2) CheckBoxWidth-RadioWidth RadioHeight],...
    'HorizontalAlignment','left');

RadioFilterDilate = uicontrol('Style','Radio',...
    'Units','Normalized',...
    'CallBack','CheckBoxesAndClicks Dilate',...
    'Position',[RadioFilterErodePos(1) RadioFilterErodePos(2)-RadioHeight RadioWidth RadioHeight],...
    'Tag','RadioFilterDilate');

RadioFilterDilatePos = get(RadioFilterDilate, 'Position');

RadioFilterDilateText = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','RadioFilterDilateText',...
    'String','Dilate on/off',...
    'Position',[RadioFilterDilatePos(1)+RadioWidth RadioFilterDilatePos(2) CheckBoxWidth-RadioWidth RadioHeight],...
    'HorizontalAlignment','left');

RadioFilterFill = uicontrol('Style','Radio',...
    'Units','Normalized',...
    'CallBack','CheckBoxesAndClicks Fill',...
    'Position',[RadioFilterDilatePos(1) RadioFilterDilatePos(2)-RadioHeight RadioWidth RadioHeight],...
    'Tag','RadioFilterFill');

RadioFilterFillPos = get(RadioFilterFill, 'Position');

RadioFilterFillText = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','RadioFilterFillText',...
    'String','Fill on/off',...
    'Position',[RadioFilterFillPos(1)+RadioWidth RadioFilterFillPos(2) CheckBoxWidth-RadioWidth RadioHeight],...
    'HorizontalAlignment','left');

RadioFilterAll = uicontrol('Style','Radio',...
    'Units','Normalized',...
    'CallBack','CheckBoxesAndClicks All',...
    'Position',[RadioFilterFillPos(1) RadioFilterFillPos(2)-RadioHeight RadioWidth RadioHeight],...
    'Tag','RadioFilterAll');

RadioFilterAllPos = get(RadioFilterAll, 'Position');

RadioFilterAllText = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','RadioFilterAllText',...
    'String','All',...
    'Position',[RadioFilterAllPos(1)+RadioWidth RadioFilterAllPos(2) (CheckBoxWidth-RadioWidth*2)/2 RadioHeight],...
    'HorizontalAlignment','left');

RadioFilterAllTextPos = get(RadioFilterAllText, 'Position');

RadioFilterNone = uicontrol('Style','Radio',...
    'Units','Normalized',...
    'CallBack','CheckBoxesAndClicks None',...
    'Position',[RadioFilterAllTextPos(1)+((CheckBoxWidth-RadioWidth*2)/2) RadioFilterAllTextPos(2) RadioWidth RadioHeight],...
    'Tag','RadioFilterNone');

RadioFilterNonePos = get(RadioFilterNone, 'Position');

RadioFilterNoneText = uicontrol('Style','Text',...
    'Units','Normalized',...
    'Tag','RadioFilterNoneText',...
    'String','None',...
    'Position',[RadioFilterNonePos(1)+RadioWidth RadioFilterNonePos(2) (CheckBoxWidth-RadioWidth*2)/2 RadioHeight],...
    'HorizontalAlignment','left');
%/Filter option%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%FPS and nNotMoved%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
FPSText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','FPS',...
    'Units','Normalized',...
    'Position',[RadioFilterAllPos(1) RadioFilterAllPos(2)-2*ColumnHeight ColumnWidth/3 ColumnHeight],...
    'Tag','FPSText');

FPSTextPos = get(FPSText,'Position');

FPS = uicontrol('Style','Edit',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String',int2str(1),...
    'Units','Normalized',...
    'Position',[FPSTextPos(1)+FPSTextPos(3) FPSTextPos(2) ColumnWidth/3 ColumnHeight],...
    'Tag','FPS');

nNotMovedText = uicontrol('Style','Text',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String','nNotMoved',...
    'Units','Normalized',...
    'Position',[FPSTextPos(1) FPSTextPos(2)-2*ColumnHeight ColumnWidth/1.5 ColumnHeight],...
    'Tag','nNotMovedText');

nNotMovedTextPos = get(nNotMovedText,'Position');

nNotMoved = uicontrol('Style','Edit',...
    'BackgroundColor','black',...
    'ForegroundColor','white',...
    'String',int2str(100),...
    'Units','Normalized',...
    'Position',[nNotMovedTextPos(1)+nNotMovedTextPos(3) nNotMovedTextPos(2) ColumnWidth/3 ColumnHeight],...
    'Tag','nNotMoved');
%/FPS and nNotMoved%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%